<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>108361</bug_id>
          
          <creation_ts>2005-10-07 01:38 0000</creation_ts>
          <short_desc>/etc/init.d/gnbd-srv is installed as /etc/init.d/gnbd-src</short_desc>
          <delta_ts>2005-10-07 11:09:43 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Core system</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>trivial</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>jan@bruvoll.com</reporter>
          <assigned_to>hp-cluster@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>jan@bruvoll.com</who>
            <bug_when>2005-10-07 01:38:10 0000</bug_when>
            <thetext>The startup script for the server part of gnbd is installed as /etc/init.d/gnbd-src

Reproducible: Always
Steps to Reproduce:
1. Install ebuild
2. Look for /etc/init.d/gnbd-srv
Actual Results:  
/etc/init.d/gnbd-srv does not exist as expected.

Expected Results:  
Install /etc/init.d/gnbd-srv.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jan@bruvoll.com</who>
            <bug_when>2005-10-07 01:39:58 0000</bug_when>
            <thetext>Created an attachment (id=70056)
Patch to fix ebuild
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jakub@gentoo.org</who>
            <bug_when>2005-10-07 01:41:18 0000</bug_when>
            <thetext>Why is a trivial typo a blocker?! BTW, the patch is absolutely unreadable. </thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jan@bruvoll.com</who>
            <bug_when>2005-10-07 01:47:03 0000</bug_when>
            <thetext>(In reply to comment #2)
&gt; Why is a trivial typo a blocker?! BTW, the patch is absolutely unreadable. 

The definition in the list was &quot;Blocker: This bug prevents a software
application from testing and use&quot;. To yourself and me this might be trivial
stuff - to a &quot;clueless&quot; user of the system it is not. It just will not work.

Sorry about the patch - that&apos;s what one gets for posting from a Windows
system... I&apos;ll fix it.</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jan@bruvoll.com</who>
            <bug_when>2005-10-07 01:49:11 0000</bug_when>
            <thetext>(From update of attachment 70056)
--- gnbd-1.00.00-r1.ebuild.broken	2005-10-07 10:38:24.000000000 +0200
+++ gnbd-1.00.00-r1.ebuild	2005-10-07 10:38:37.000000000 +0200
@@ -27,7 +27,7 @@
	make DESTDIR=${D} install || die

	newinitd ${FILESDIR}/${PN}-client.rc ${PN}-client || die
-	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-src || die
+	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-srv || die

	insinto /etc
	doins ${FILESDIR}/gnbdtab
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>jan@bruvoll.com</who>
            <bug_when>2005-10-07 01:49:50 0000</bug_when>
            <thetext>(From update of attachment 70056)
--- gnbd-1.00.00-r1.ebuild.broken	2005-10-07 10:38:24.000000000 +0200
+++ gnbd-1.00.00-r1.ebuild	2005-10-07 10:38:37.000000000 +0200
@@ -27,7 +27,7 @@
	make DESTDIR=${D} install || die

	newinitd ${FILESDIR}/${PN}-client.rc ${PN}-client || die
-	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-src || die
+	newinitd ${FILESDIR}/${PN}-srv.rc ${PN}-srv || die

	insinto /etc
	doins ${FILESDIR}/gnbdtab
</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>xmerlin@gentoo.org</who>
            <bug_when>2005-10-07 11:09:43 0000</bug_when>
            <thetext>fixed in cvs, thanks.</thetext>
          </long_desc>
      
          <attachment
              isobsolete="0"
              ispatch="1"
              isprivate="0"
          >
            <attachid>70056</attachid>
            <date>2005-10-07 01:39 0000</date>
            <desc>Patch to fix ebuild</desc>
            <filename>gnbd-1.00.00-r1.ebuild.patch</filename>
            <type>text/plain</type>
            <data encoding="base64">//4tAC0ALQAgAGcAbgBiAGQALQAxAC4AMAAwAC4AMAAwAC0AcgAxAC4AZQBiAHUAaQBsAGQALgBi
AHIAbwBrAGUAbgAgACAAIAAgACAAIAAgADIAMAAwADUALQAxADAALQAwADcAIAAxADAAOgAzADgA
OgAyADQALgAwADAAMAAwADAAMAAwADAAMAAgACsAMAAyADAAMAANAAoAKwArACsAIABnAG4AYgBk
AC0AMQAuADAAMAAuADAAMAAtAHIAMQAuAGUAYgB1AGkAbABkACAAIAAgACAAIAAgADIAMAAwADUA
LQAxADAALQAwADcAIAAxADAAOgAzADgAOgAzADcALgAwADAAMAAwADAAMAAwADAAMAAgACsAMAAy
ADAAMAANAAoAQABAACAALQAyADcALAA3ACAAKwAyADcALAA3ACAAQABAAA0ACgAgACAAIAAgACAA
IAAgACAAbQBhAGsAZQAgAEQARQBTAFQARABJAFIAPQAkAHsARAB9ACAAaQBuAHMAdABhAGwAbAAg
AHwAfAAgAGQAaQBlAA0ACgANAAoAIAAgACAAIAAgACAAIAAgAG4AZQB3AGkAbgBpAHQAZAAgACQA
ewBGAEkATABFAFMARABJAFIAfQAvACQAewBQAE4AfQAtAGMAbABpAGUAbgB0AC4AcgBjACAAJAB7
AFAATgB9AC0AYwBsAGkAZQBuAHQAIAB8AHwAIABkAGkAZQANAAoALQAgACAAIAAgACAAIAAgAG4A
ZQB3AGkAbgBpAHQAZAAgACQAewBGAEkATABFAFMARABJAFIAfQAvACQAewBQAE4AfQAtAHMAcgB2
AC4AcgBjACAAJAB7AFAATgB9AC0AcwByAGMAIAB8AHwAIABkAGkAZQANAAoAKwAgACAAIAAgACAA
IAAgAG4AZQB3AGkAbgBpAHQAZAAgACQAewBGAEkATABFAFMARABJAFIAfQAvACQAewBQAE4AfQAt
AHMAcgB2AC4AcgBjACAAJAB7AFAATgB9AC0AcwByAHYAIAB8AHwAIABkAGkAZQANAAoADQAKACAA
IAAgACAAIAAgACAAIABpAG4AcwBpAG4AdABvACAALwBlAHQAYwANAAoAIAAgACAAIAAgACAAIAAg
AGQAbwBpAG4AcwAgACQAewBGAEkATABFAFMARABJAFIAfQAvAGcAbgBiAGQAdABhAGIADQAKAA==
</data>        

          </attachment>
    </bug>

</bugzilla>